Method: featureGroups.delete

Full name: projects.locations.featureGroups.delete

Deletes a single FeatureGroup.

Endpoint

delete https://{service-endpoint}/v1beta1/{name}

Where {service-endpoint} is one of the supported service endpoints.

Path parameters

name string

Required. The name of the FeatureGroup to be deleted. Format: projects/{project}/locations/{location}/featureGroups/{featureGroup}

Query parameters

force boolean

If set to true, any Features under this FeatureGroup will also be deleted. (Otherwise, the request will only work if the FeatureGroup has no Features.)

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of Operation.

IAM Permissions

Requires the following IAM permission on the name resource:

  • aiplatform.featureGroups.delete

For more information, see the IAM documentation.